## pandoc-sidenote 0.20.0

=== Makefile ===
VERSION := 0.20.0

all: pandoc-sidenote-$(VERSION).zip

.PHONY: stack
stack:
	stack build

pandoc-sidenote-%.zip: stack
	find .stack-work/install -name pandoc-sidenote -type f \
	     -exec zip -j pandoc-sidenote.zip '{}' ';'

## pandoc-sidenote 0.19.0.0

=== debian/changelog ===
pandoc-sidenote (0.19.0.0-2build4) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:15:21 +0000

pandoc-sidenote (0.19.0.0-2build3) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:51:52 +0000

pandoc-sidenote (0.19.0.0-2build2) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 16:33:37 +0200

pandoc-sidenote (0.19.0.0-2build1) disco; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Jan 2019 23:56:19 +0100

pandoc-sidenote (0.19.0.0-2) unstable; urgency=medium

  * Fix bogus credit in initial changelog entry.
  * Fix doc-base path.
    Closes: Bug#914808. Thanks to Andreas Beckmann.
  * Fix add GHC relations on monad-gen.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Nov 2018 18:25:42 +0100

pandoc-sidenote (0.19.0.0-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#884586. Thanks to Philipp Marek.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Nov 2018 15:27:55 +0100

=== debian/control ===
Source: pandoc-sidenote
Section: text
Priority: optional
Maintainer: Debian Haskell Group <debian-haskell@lists.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cdbs,
 debhelper,
 ghc,
 ghc-prof,
 haskell-devscripts,
 libghc-monad-gen-dev,
 libghc-monad-gen-prof,
 libghc-pandoc-dev,
 libghc-pandoc-prof,
 libghc-pandoc-types-dev,
 libghc-pandoc-types-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-monad-gen-doc,
 libghc-pandoc-doc,
 libghc-pandoc-types-doc,
Standards-Version: 4.2.1
Homepage: https://github.com/jez/pandoc-sidenote
Vcs-Git: https://salsa.debian.org/haskell-team/pandoc-sidenote.git
Vcs-Browser: https://salsa.debian.org/haskell-team/pandoc-sidenote
Rules-Requires-Root: no

Package: pandoc-sidenote
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 pandoc,
Multi-Arch: foreign
Description: footnotes-to-sidenotes converter for Pandoc
 pandoc-sidenote is a simple Pandoc filter
 to convert footnotes into a format that can be consumed by Tufte CSS.
 .
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 .
 This package provides the filter to be used with the pandoc executable.

Package: libghc-pandoc-sidenote-dev
Section: haskell
Architecture: any
Depends:
 ${haskell:Depends},
 ${haskell:Extra-Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: footnotes-to-sidenotes converter for Pandoc - libraries
 pandoc-sidenote is a simple Pandoc filter
 to convert footnotes into a format that can be consumed by Tufte CSS.
 .
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 .
 This package provides the Haskell library for pandoc-sidenote.

Package: libghc-pandoc-sidenote-doc
Section: doc
Architecture: all
Depends:
 ${haskell:Depends},
 ${haskell:Extra-Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Description: footnotes-to-sidenotes converter for Pandoc - library documentation
 pandoc-sidenote is a simple Pandoc filter
 to convert footnotes into a format that can be consumed by Tufte CSS.
 .
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 .
 This package provides library documentation for pandoc-sidenote.

Package: libghc-pandoc-sidenote-prof
Section: haskell
Architecture: any
Depends:
 ${haskell:Depends},
 ${haskell:Extra-Depends},
 ${misc:Depends},
Suggests:
 ${cdbs:Suggests},
Provides:
 ${haskell:Provides},
Description: footnotes-to-sidenotes converter for Pandoc - profiling libraries
 pandoc-sidenote is a simple Pandoc filter
 to convert footnotes into a format that can be consumed by Tufte CSS.
 .
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 .
 This package provides profiling for the pandoc-sidenote library.

## pandoc-sidenote 0.20.0

=== debian/changelog ===
pandoc-sidenote (0.20.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libghc-pandoc-types-dev;
    drop GHC relations on monad-gen pandoc
  * declare compliance with Debian Policy 4.5.0
  * use debhelper compatibility level 10 (not 9)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jun 2020 14:46:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,12 @@
  ghc,
  ghc-prof,
  haskell-devscripts,
- libghc-monad-gen-dev,
- libghc-monad-gen-prof,
- libghc-pandoc-dev,
- libghc-pandoc-prof,
- libghc-pandoc-types-dev,
+ libghc-pandoc-types-dev (>= 1.20),
  libghc-pandoc-types-prof,
 Build-Depends-Indep:
  ghc-doc,
- libghc-monad-gen-doc,
- libghc-pandoc-doc,
  libghc-pandoc-types-doc,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/jez/pandoc-sidenote
 Vcs-Git: https://salsa.debian.org/haskell-team/pandoc-sidenote.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/pandoc-sidenote

=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --upstream-vcs-tag=foo --uscan" to update
version=4
https://hackage.haskell.org/package/@PACKAGE@/distro-monitor \
 .*-@ANY_VERSION@@ARCHIVE_EXT@

## pandoc-sidenote 0.22.1.0

=== debian/changelog ===
pandoc-sidenote (0.22.1.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * simplify source helper script copyright-check
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * declare compliance with Debian Policy 4.6.0
  * add patch 2001 to relax build-dependency on pandoc-types

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Oct 2021 13:09:03 +0200

pandoc-sidenote (0.20.0-2) unstable; urgency=medium

  * watch: rewrite usage comment
  * resolve and depend on pandoc-abi;
    closes: bug#962715, thanks to Eric Marsden

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2020 12:30:59 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Build-Depends-Indep:
  ghc-doc,
  libghc-pandoc-types-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/jez/pandoc-sidenote
 Vcs-Git: https://salsa.debian.org/haskell-team/pandoc-sidenote.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/pandoc-sidenote
@@ -24,6 +24,7 @@
 Package: pandoc-sidenote
 Architecture: any
 Depends:
+ pandoc-abi ${pandoc:Abi},
  ${misc:Depends},
  ${shlibs:Depends},
 Enhances:

=== debian/rules ===
#!/usr/bin/make -f

ABI = $(shell dpkg-query --showformat='$${Version}' --show libghc-pandoc-types-dev | sed 's/-[^-]*$$//')

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/hlibrary.mk

DEB_DH_GENCONTROL_ARGS_$(pkg) = -V"pandoc:Abi=$(ABI)"

## pandoc-sidenote 0.23.0

=== Makefile ===
VERSION := 0.23.0

all: pandoc-sidenote-$(VERSION).zip

.PHONY: stack
stack:
	stack build

pandoc-sidenote-%.zip: stack
	find .stack-work/install/x86_64-osx -name pandoc-sidenote -type f \
	     -exec zip -j $@ '{}' ';'

# Assumes that a tag has already been created and pushed
.PHONY: release
release: pandoc-sidenote-$(VERSION).zip
	hub release create -a $< $(VERSION)

=== debian/changelog ===
pandoc-sidenote (0.23.0-1) unstable; urgency=medium

  * update watch file:
    + track Github releases (not hackage distribution packages)
  * declare compliance with Debian Policy 4.6.2
  * drop patch 2001;
    tighten build-dependency on libghc-pandoc-types-dev
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Dec 2023 23:33:28 +0100

pandoc-sidenote (0.22.1.0-2) unstable; urgency=medium

  * fix depend on pandoc-abi;
    closes: bug#962715, thanks to Eric Marsden
  * declare compliance with Debian Policy 4.6.1
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Jul 2022 13:19:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  ghc,
  ghc-prof,
  haskell-devscripts,
- libghc-pandoc-types-dev (>= 1.20),
+ libghc-pandoc-types-dev (>= 1.22),
  libghc-pandoc-types-prof,
 Build-Depends-Indep:
  ghc-doc,
  libghc-pandoc-types-doc,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/jez/pandoc-sidenote
 Vcs-Git: https://salsa.debian.org/haskell-team/pandoc-sidenote.git
 Vcs-Browser: https://salsa.debian.org/haskell-team/pandoc-sidenote
@@ -24,7 +24,7 @@
 Package: pandoc-sidenote
 Architecture: any
 Depends:
- pandoc-abi ${pandoc:Abi},
+ pandoc-abi (= ${pandoc:Abi}),
  ${misc:Depends},
  ${shlibs:Depends},
 Enhances:

=== debian/rules ===
#!/usr/bin/make -f

ABI = $(shell dpkg-query --showformat='$${source:Version}' --show libghc-pandoc-types-dev)

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/hlibrary.mk

DEB_DH_GENCONTROL_ARGS_pandoc-sidenote = -- -V"pandoc:Abi=$(ABI)"

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/jez/pandoc-sidenote/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
